import ddf.minim.*;
Minim minim; //Minim型変数であるminimの宣言
AudioSnippet[] crash = new AudioSnippet[2]; //衝突サウンド格納用の変数

int[] px = new int[2];
int[] py = new int[2];
int[] dx = new int[2];
int[] dy = new int[2];
int r = 25;

void setup() {
  size(400, 200);
  strokeWeight(5);

  px[0] = width/3;
  py[0] = height/2;
  dx[0] = -1;
  dy[0] = 2;

  px[1] = width/3;
  py[1] = height/2;
  dx[1] = 2;
  dy[1] = -1;

  minim = new Minim(this); //初期化
  crash[0] = minim.loadSnippet("poka01.mp3"); //mp3ファイルを指定する
  crash[1] = minim.loadSnippet("poka02.mp3"); //mp3ファイルを指定する
}

void draw() {
  background(200);

  for (int i=0; i<2; i++ ) {

    if ( px[i]-r < 0 || px[i]+r > width || py[i]-r < 0 || py[i]+r > height ) { 
      crash[i].play();
      crash[i].rewind();
    }
    if ( px[i]-r < 0 ) { 
      dx[i] = -dx[i];
    }
    else if ( px[i]+r > width ) { 
      dx[i] = -dx[i];
    }
    if ( py[i]-r < 0 ) { 
      dy[i] = -dy[i];
    }
    else if ( py[i]+r > height ) { 
      dy[i] = -dy[i];
    }
    px[i] += dx[i];
    py[i] += dy[i];

    if (i==0) { 
      fill(255);
    } else {
      fill(255,0,0);
    }
    ellipse( px[i], py[i], 2*r, 2*r );
  }
}

void stop() {
  crash[0].close(); //サウンドデータを終了
  crash[1].close(); //サウンドデータを終了
  minim.stop();
  super.stop();  // 必須
}

