import ddf.minim.*;
Minim minim;
AudioSnippet sound;

int flag_entered = 0; // 0:入ってない, 1:すでに入ってる

void setup() {
  size(600, 400);
  strokeWeight(5);

  minim = new Minim(this);
  sound  = minim.loadSnippet("button02a.mp3");
}

void draw() {
  int r = 100;
  int px = width/2;
  int py = height/2;

  if ( dist( mouseX, mouseY, px, py ) < r ) {
    if ( flag_entered == 0 ) {
      sound.play();
      sound.rewind();
    }
    flag_entered = 1;
    fill(250,196,15);
  } 
  else {
    flag_entered = 0;
    fill(255);
  }

  ellipse( px, py, r*2, r*2 );
}

void stop() {
  sound.close();
  minim.stop();
  super.stop();
}

