
final int NOT_TOUCHED = 0;
final int TOUCHED = 1;

void setup() {
  size(600, 400);
  strokeWeight(5);
}

void draw() {
  background(200);

  int r = 60;
  int mouse_r = 100;
  int px = width/2;
  int py = height/2;

  if ( collision( px, py, r, mouseX, mouseY, mouse_r ) == TOUCHED ) {
    fill(255, 0, 0);
  } 
  else {
    fill(255);
  }

  ellipse( px, py, r*2, r*2 );  
  ellipse( mouseX, mouseY, mouse_r*2, mouse_r*2 );
}

int collision( int px1, int py1, int r1, int px2, int py2, int r2 ) {
  int flag;
  if ( dist( px1, py1, px2, py2 ) <= r1 + r2 ) {
    flag = TOUCHED;
  } else {
    flag = NOT_TOUCHED;
  }
  return flag;  
}

