
int px = 0;
int py = 0;
int dx = 3;
int dy = -1;
int r = 60;

final int NOT_TOUCHED = 0;
final int TOUCHED = 1;

void setup() {
  size(600, 400);
  strokeWeight(5);

  px = width/3;
  py = height/2;

  fill(255);
  delay(100);
}


void draw() {
  background(200);

  int px2 = width/2;
  int py2 = height/2;
  int r2 = 50;

  if ( px-r < 0 ) { 
    dx = -dx;
  }
  if ( px+r > width ) { 
    dx = -dx;
  }
  if ( py-r < 0 ) { 
    dy = -dy;
  }
  if ( py+r > height ) { 
    dy = -dy;
  }
  px += dx;
  py += dy;

  if ( detect( px, py, r, px2, py2, r2 ) == TOUCHED ) {
    fill(255, 0, 0);
  } 
  else {
    fill(255);
  }

  ellipse( px2, py2, 2*r2, 2*r2 );
  ellipse( px, py, 2*r, 2*r );
}

int detect( int pos_x1, int pos_y1, int r1, int pos_x2, int pos_y2, int r2 ) {
  int flag;

  if ( dist( pos_x1, pos_y1, pos_x2, pos_y2 ) <= r1 + r2 ) {
    flag = TOUCHED;
  } 
  else {
    flag = NOT_TOUCHED;
  }
  return flag;
}

