
int d = 20;
int num_x = 30;
int num_y = 10;
int[][] light = new int [num_x][num_y];

void setup() {
  size( num_x * d, num_y * d );

  light[4][2] = 1;
  light[5][2] = 1;
  light[6][2] = 1;
  light[3][3] = 1;
  light[3][4] = 1;
  light[4][5] = 1;
  light[5][5] = 1;
  light[6][6] = 1;
  light[6][7] = 1;
  light[5][8] = 1;
  light[4][8] = 1;
  light[3][8] = 1;
  light[9][2] = 1;
  light[9][3] = 1;
  light[9][4] = 1;
  light[9][5] = 1;
  light[9][6] = 1;
  light[9][7] = 1;
  light[9][8] = 1;
  light[10][5] = 1;
  light[11][5] = 1;
  light[12][5] = 1;
  light[13][2] = 1;
  light[13][3] = 1;
  light[13][4] = 1;
  light[13][5] = 1;
  light[13][6] = 1;
  light[13][7] = 1;
  light[13][8] = 1;
}

void draw() {
  background(200);

  for (int j=0; j<num_y; j++) {
    for (int i=0; i<num_x; i++) {
      switch ( light[i][j] ) {
      case 0:
        fill(255);
        break;
      case 1:
        fill(200, 0, 0);
        break;
      case 2:
        fill(200, 200, 0);
        break;
      case 3:
        fill(0, 200, 0);
        break;
      }
      ellipse( d*(i+0.5), d*(j+0.5), d, d );
    }
  }

  for (int j=0; j<num_y; j++) {
    int buffer = light[0][j];
    for (int i=0; i<num_x-1; i++) {
      light[i][j] = light[i+1][j];
    }
    light[num_x-1][j] = buffer;
  }

  delay(100);
}

void mousePressed() {
  for (int j=0; j<num_y; j++) {
    for (int i=0; i<num_x; i++) {
      if ( dist(mouseX, mouseY, d*(i+0.5), d*(j+0.5)) < d/2 ) {
        println( "light[" + i + "][" + j + "] = 1;");
        light[i][j]++;
        if ( light[i][j]>3 ) light[i][j] = 0;
      }
    }
  }
}

