import ddf.minim.*;
Minim minim;
AudioSnippet sound;

int flag_entered = 0; // 0:入ってない, 1:すでに入ってる

void setup() {
  size(600, 400);
  strokeWeight(5);
  
  minim = new Minim(this);
  sound  = minim.loadSnippet("button02a.mp3");
}

void draw() {
  int w = 200;
  int h = 150;
  int px = width/2 - w/2;
  int py = height/2 - h/2;

  if ( px<mouseX && mouseX<px+w && py<mouseY && mouseY<py+h ) {
    if ( flag_entered == 0 ) {
      sound.play();
      sound.rewind();
    }
    flag_entered = 1;
    fill(27,126,222);
  } 
  else {
    flag_entered = 0;
    fill(255);
  }
  
  rect( px, py, w, h );
}

void stop() {
  sound.close();
  minim.stop();
  super.stop();
}

